Вопрос TexLive и Kile


Недавно я обновил свою машину с 12.04 до версии 12.10. Я использую LaTeX для своей публикации, поэтому я использую TexLive и Kile, оба из которых находятся в списке пакетов Ubuntu.

При обновлении до последней версии Ubuntu файлы texlive смешали конфигурации, поэтому дистрибутив не смог найти соответствующие шрифты, которые я использовал в своих предыдущих документах.

В этом контексте я сначала загрузил ISO-файл для TexLive с веб-сайта TexLive. Затем я полностью удалил пакет texlive из своей системы и каталоги, хранящие конфигурации TexLive. Наконец, я установил ISO-файл и установил TexLive в своей системе. Я устанавливаю пути в соответствии с рекомендациями установщика, и поэтому файлы теперь компилируются с помощью командной строки.

Тем не менее, я предпочитаю Kile как IDE для латекса. Всякий раз, когда я пытаюсь установить Kile, он также запрашивает загрузку пакетов tex-common, texlive- * и их соответствующих зависимостей.

Поэтому я загрузил пакет kile в локальный каталог, используя

apt-get download kile 

а затем попытался установить киле, используя

sudo dpkg --force-all -i kile*

После этого момента Synaptic Manager сообщает мне, что пакет kile сломан, и его необходимо восстановить, установив соответствующие зависимости. Диспетчер программного обеспечения также показывает свое окно. Как я могу остановить это, или есть еще одна лучшая среда IDE для киле? Нужно ли действительно переживать болезненный способ компиляции киле из источника?


2
2017-11-17 09:38


происхождения


Вы уверены, что просто не забыли установить некоторые texlive-* пакеты? Большинство шрифтов находятся в -recommended а также -extra пакеты. У меня нет никаких проблем при использовании TeXLive 2010 с Kile. Мы настоятельно рекомендуем придерживаться вашего управления пакетами, а не устанавливать его по течению по причинам, подобным этому. - gertvdijk
Небольшая просьба: внимательно прочитайте вопрос. Я сказал, что я установил распределение texlive, используя ISO. - Indian
Если вы хотите принудительно выполнить установку, игнорируя зависимости, вы должны использовать --ignore-depends флаг с dpkg, Возможно, это сработает для вас, но я до сих пор не понимаю, почему вы просто не переустановили texlive с помощью apt-get, - Andrey
@ Индийский Да, вот что я имею в виду. И снова: не делайте этого. Придерживайтесь управления пакетами ОС для предотвращения проблем, с которыми вы сейчас сталкиваетесь. - gertvdijk
@Andrey: Когда я обновился, пакет texlive также обновился. К сожалению, в Ubuntu что-то не так, и он больше не смог найти шрифты. Поэтому мне пришлось удалить все. Я делал это удаление и установку примерно в 5-6 раз, все напрасно. - Indian


ответы: